Skip to main content
PATCH
/
api
/
2.0
/
reports
/
{id}
Partially Update Report
curl --request PATCH \
  --url https://sandbox.elationemr.com/api/2.0/reports/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_urgent": false,
  "signed_by": 123,
  "signed_date": "2023-11-07T05:31:56Z"
}
'
{
  "id": 123,
  "is_urgent": false,
  "signed_by": 123,
  "signed_date": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer<int64>
required

Body

application/json
is_urgent
boolean
default:false
signed_by
integer<int64> | null

Signer to apply.

signed_date
string<date-time> | null

Signature timestamp to apply.

Response

200 - application/json
id
integer
read-only
is_urgent
boolean
default:false
signed_by
integer<int64> | null

Signer to apply.

signed_date
string<date-time> | null

Signature timestamp to apply.